Bug 852503 - Review Request: perl-Net-Radius - Object-oriented Perl interface to RADIUS
Review Request: perl-Net-Radius - Object-oriented Perl interface to RADIUS
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 14:01 EDT by Olivier Bilodeau
Modified: 2015-07-21 08:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-04 08:46:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Olivier Bilodeau 2012-08-28 14:01:55 EDT
Spec URL: https://raw.github.com/inverse-inc/perl-Net-Radius.spec/master/perl-Net-Radius.spec
SRPM URL: https://raw.github.com/inverse-inc/perl-Net-Radius.spec/master/perl-Net-Radius-2.103-1.fc17.src.rpm
Description:
Object-oriented Perl interface to RADIUS

Fedora Account System Username: obilodeau

Looking for sponsor and I have also submitted #851721 where I am also waiting for a sponsor.

Successful koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4430964
Comment 1 Eduardo Echeverria 2012-09-08 05:50:08 EDT
$ rpmlint -i perl-Net-Radius-2.103-1.fc17.src.rpm
perl-Net-Radius.src:7: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 1)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

I am not sponsor so this is an informal review.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[ ]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[ ]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (Net-Radius-2.103.tar.gz)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define.
     Note: %define real_name Net-Radius

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

Rpmlint
-------
Checking: perl-Net-Radius-2.103-1.fc17.noarch.rpm
          perl-Net-Radius-2.103-1.fc17.src.rpm
perl-Net-Radius.noarch: E: useless-provides perl(Net::Radius::Dictionary)
perl-Net-Radius.noarch: E: useless-provides perl(Net::Radius::Packet)
perl-Net-Radius.noarch: W: file-not-utf8 /usr/share/doc/perl-Net-Radius-2.103/examples/tutorial.pl
perl-Net-Radius.noarch: W: manifest-in-perl-module /usr/share/doc/perl-Net-Radius-2.103/MANIFEST.SKIP
perl-Net-Radius.noarch: W: file-not-utf8 /usr/share/doc/perl-Net-Radius-2.103/README.VSA
perl-Net-Radius.noarch: W: manifest-in-perl-module /usr/share/doc/perl-Net-Radius-2.103/MANIFEST
perl-Net-Radius.src:7: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 1)
2 packages and 0 specfiles checked; 2 errors, 5 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
perl-Net-Radius-2.103-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    perl(:MODULE_COMPAT_5.14.2)  
    perl(Carp)  
    perl(Digest::MD5)  
    perl(Exporter)  
    perl(Net::Radius::Dictionary) >= 1.50
    perl(Socket)  
    perl(strict)  
    perl(vars)  
    perl(warnings)  

Provides
--------
perl-Net-Radius-2.103-1.fc17.noarch.rpm:
    
    perl(Net::Radius::Dictionary) = 1.55
    perl(Net::Radius::Dictionary) = 2.103
    perl(Net::Radius::Packet) = 1.55
    perl(Net::Radius::Packet) = 2.103
    perl-Net-Radius = 2.103-1.fc17

MD5-sum check
-------------
http://search.cpan.org/CPAN/authors/id/L/LU/LUISMUNOZ/Net-Radius-2.103.tar.gz :
  CHECKSUM(SHA256) this package     : 8355aae4258769f88786f283295bb697aa144e0205353a6fd8ec977fc4b3128f
  CHECKSUM(SHA256) upstream package : 8355aae4258769f88786f283295bb697aa144e0205353a6fd8ec977fc4b3128f


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -n perl-Net-Radius
External plugins:
Comment 2 Olivier Bilodeau 2012-09-10 10:07:40 EDT
Changes to package based on comments:

- whitespace cleanup
- global instead of define
- removed duplicated Provides:...
- Source URL now uses real_name global

Notes:

I do plan to propose this in EPEL5 so I haven't implemented the defattr and "rm -rf" changes. 

Successful koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4472073

The SPEC and SRPM URLs are still valid.

Let me know about anything else I can do to move this forward.
Comment 3 Eduardo Echeverria 2012-09-17 02:02:07 EDT
Hi Olivier
Every time you make a change in the spec should increase the release number

Release:	1%{?dist}
to
Release:	2%{?dist}

is equal to the changelog...

Best Regards
Comment 4 Olivier Bilodeau 2012-09-17 10:39:40 EDT
Ok, I just did: https://github.com/inverse-inc/perl-Net-Radius.spec/commit/813b472dfaa0981c0f32aff5da4d0b0f9a6aba2b

The reason I didn't do it is that I thought bumps / ChangeLog entries on unreleased packages undergoing a review would only add clutter and little value. Repoforge guys handled some of my contributions that way with that rationale and so I kept it. 

My plan was that once released, of course, release and changelog will be bumped on changes.

Sorry about my wrong assumptions.
Comment 5 Petr Šabata 2013-04-16 10:40:32 EDT
(In reply to comment #4)
> Ok, I just did:
> https://github.com/inverse-inc/perl-Net-Radius.spec/commit/
> 813b472dfaa0981c0f32aff5da4d0b0f9a6aba2b
> 
> The reason I didn't do it is that I thought bumps / ChangeLog entries on
> unreleased packages undergoing a review would only add clutter and little
> value. Repoforge guys handled some of my contributions that way with that
> rationale and so I kept it. 
> 
> My plan was that once released, of course, release and changelog will be
> bumped on changes.
> 
> Sorry about my wrong assumptions.

I actually agree with you.

Bumping release doesn't really help anything; the reviewer should always check the real diff from the previously submitted spec.  Tracking those in git is ridiculously easy.

Still, there are many people in Fedora who prefer release bumps during reviews...

Anyhow, it doesn't seem like Eduardo is going to work on this so I'll do the review instead.  I'm also a sponsor so in case I like your packages, I'll take you in :)
Comment 6 Petr Šabata 2013-04-16 10:47:10 EDT
So I've cloned your git repository...

The spec in your SRPM and outside of it differ.
Please, update the archive first.
Comment 7 Petr Šabata 2014-04-04 09:43:41 EDT
Ping.
Comment 8 Petr Šabata 2014-08-04 08:46:35 EDT
Closing for inactivity.

Note You need to log in before you can comment on or make changes to this bug.